name: "centralnode-test"
function: telescope-monitoring
domain: general-monitoring
instances: ["01"]
entrypoints:
  - name: "ska_tmc_centralnode.central_node_low.LowTmcCentralNode"
server:
  name: "central_node_low"
  instances:
  {{ $tmc_sa_fqdn_prefix:= .Values.global.tmc_subarray_prefix}}
  {{ $csp_sa_ln_fqdn_prefix:= .Values.global.csp_subarray_ln_prefix}}
  {{ $sdp_sa_ln_fqdn_prefix:= .Values.global.sdp_subarray_ln_prefix}}
  {{ $domain := .Values.global.domain}}
  {{ $family := .Values.deviceServers.centralnode.family }}
  {{ $member := .Values.deviceServers.centralnode.member }}
  - name: "01"
    classes:
    - name: "LowTmcCentralNode"
      devices:
      - name: "{{ $domain }}/{{ $family }}/{{ $member }}"
        properties:
        - name: "CspMasterLeafNodeFQDN"
          values:
          - "{{.Values.global.csp_master_ln}}"
        - name: "CspMasterFQDN"
          values:
          - "{{.Values.global.csp_master}}"
        - name: "SdpMasterLeafNodeFQDN"
          values:
          - "{{.Values.global.sdp_master_ln}}"
        - name: "SdpMasterFQDN"
          values:
          - "{{.Values.global.sdp_master}}"
        - name: "MccsMasterLeafNodeFQDN"
          values:
            - "{{.Values.global.mccs_master_ln}}"
        - name: "MccsMasterFQDN"
          values:
            - "{{.Values.global.mccs_master}}"
        - name: "SkuidService"
          values:
            - "{{.Values.deviceServers.centralnode.SkuidService}}"
        - name: "AssignResourcesInterface"
          values:
            - "{{.Values.deviceServers.centralnode.AssignResourcesInterface}}"
        - name: "ReleaseResourcesInterface"
          values:
            - "{{.Values.deviceServers.centralnode.ReleaseResourcesInterface}}"
        - name: "TMCSubarrayNodes"
          values:
          {{- range  ( regexSplit " " ((.Values.subarray_count | int) | seq ) -1 )  }}
          - "{{ $tmc_sa_fqdn_prefix }}/{{ printf "%02s" . }}"
          {{- end }}
        - name: "CspSubarrayLeafNodes"
          values:
          {{- range  ( regexSplit " " ((.Values.subarray_count | int) | seq ) -1 )  }}
          - "{{ $csp_sa_ln_fqdn_prefix }}{{ printf "%02s" . }}"
          {{- end }}
        - name: "SdpSubarrayLeafNodes"
          values:
          {{- range  ( regexSplit " " ((.Values.subarray_count | int) | seq ) -1 )  }}
          - "{{ $sdp_sa_ln_fqdn_prefix }}{{ printf "%02s" . }}"
          {{- end }}
        - name: "SkaLevel"
          values:
            - "1"
        - name: "LoggingTargetsDefault"
          values:
            - "tango::logger"
        - name: "LoggingLevelDefault"
          values:
            - "5"
        - name: "CommandTimeOut"
          values:
            - "{{.Values.deviceServers.centralnode.CommandTimeOut}}"
        - name: "LivelinessCheckPeriod"
          values:
            - "{{.Values.deviceServers.centralnode.LivelinessCheckPeriod}}"
        - name: "EventSubscriptionCheckPeriod"
          values:
            - "{{.Values.deviceServers.centralnode.EventSubscriptionCheckPeriod}}"

depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.centralnode.image.registry}}"
  image: "{{.Values.centralnode.image.image}}"
  tag: "{{.Values.centralnode.image.tag}}"
  pullPolicy: "{{.Values.centralnode.image.pullPolicy}}"


